Kernel bug caused by XRandR / Video Drivers

Bug #1576764 reported by frew on 2016-04-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Here are two stack traces showing the issue:

Apr 29 08:33:05 zfp kernel: [34730.860474] general protection fault: 0000 [#1] SMP
Apr 29 08:33:05 zfp kernel: [34730.860507] Modules linked in: ctr ccm xt_nat xt_tcpudp ipt_REJECT nf_reject_ipv4 pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) rfcomm veth ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype xt_conntrack nf_nat nf_conntrack br_netfilter bridge stp llc overlay xt_multiport iptable_filter ip_tables x_tables bnep arc4 snd_usb_audio snd_usbmidi_lib uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common videodev media btusb btrtl btbcm btintel intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel bluetooth kvm irqbypass input_leds joydev serio_raw iwlmvm mac80211 snd_seq_midi snd_hda_codec_hdmi snd_hda_codec_realtek snd_seq_midi_event iwlwifi snd_hda_codec_generic thinkpad_acpi snd_rawmidi nvram cfg80211 rtsx_pci_ms snd_hda_intel memstick lpc_ich snd_hda_codec mei_me mei snd_hda_core snd_hwdep snd_pcm ie31200_edac snd_seq edac_core snd_seq_device snd_timer snd soundcore shpchp mac_hid sch_fq_codel nfsd auth_rpcgss nfs_acl lockd grace sunrpc parport_pc ppdev lp parport autofs4 drbg ansi_cprng algif_skcipher af_alg dm_crypt hid_thingm hid_generic hid_logitech_hidpp hid_logitech_dj usbhid hid rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd nouveau i915 psmouse ahci libahci mxm_wmi ttm rtsx_pci i2c_algo_bit drm_kms_helper e1000e syscopyarea sysfillrect sysimgblt fb_sys_fops drm ptp pps_core wmi fjes video
Apr 29 08:33:05 zfp kernel: [34730.861171] CPU: 1 PID: 1523 Comm: Xorg Tainted: G OE 4.4.0-21-generic #37-Ubuntu
Apr 29 08:33:05 zfp kernel: [34730.861203] Hardware name: LENOVO 20AN006LUS/20AN006LUS, BIOS GLET77WW (2.31 ) 01/27/2015
Apr 29 08:33:05 zfp kernel: [34730.861233] task: ffff8800a92b1b80 ti: ffff880428664000 task.ti: ffff880428664000
Apr 29 08:33:05 zfp kernel: [34730.861261] RIP: 0010:[<ffffffffc01221cb>] [<ffffffffc01221cb>] drm_dp_payload_send_msg+0x15b/0x210 [drm_kms_helper]
Apr 29 08:33:05 zfp kernel: [34730.861308] RSP: 0018:ffff880428667ad8 EFLAGS: 00010282
Apr 29 08:33:05 zfp kernel: [34730.861328] RAX: ffff8800a92b1b80 RBX: 0a26771717294f2d RCX: ffff880425e1d908
Apr 29 08:33:05 zfp kernel: [34730.861354] RDX: 0000000080000000 RSI: 0a26771717294f2d RDI: ffff880425e1d908
Apr 29 08:33:05 zfp kernel: [34730.861380] RBP: ffff880428667b28 R08: 000000000001a040 R09: ffffffffc012216b
Apr 29 08:33:05 zfp kernel: [34730.861406] R10: ffffea000211bc00 R11: 0000000000000000 R12: ffff88042bf57810
Apr 29 08:33:05 zfp kernel: [34730.861432] R13: ffff880425e1d650 R14: ffff880425e1d650 R15: ffff8804249e1800
Apr 29 08:33:05 zfp kernel: [34730.861458] FS: 00007feb611c4a00(0000) GS:ffff88043e240000(0000) knlGS:0000000000000000
Apr 29 08:33:05 zfp kernel: [34730.861488] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Apr 29 08:33:05 zfp kernel: [34730.861509] CR2: 000055f2ae2e4b30 CR3: 00000004279e9000 CR4: 00000000001406e0
Apr 29 08:33:05 zfp kernel: [34730.861534] Stack:
Apr 29 08:33:05 zfp kernel: [34730.861543] 587ca201012a25ee ffff880425e1d908 ffff880428667b00 0000000000000001
Apr 29 08:33:05 zfp kernel: [34730.861574] 000000003e400d66 0000000000000001 ffff88042bf57810 ffff880425e1d650
Apr 29 08:33:05 zfp kernel: [34730.861605] 0000000000000001 ffff880425e1d9a0 ffff880428667b68 ffffffffc01227f2
Apr 29 08:33:05 zfp kernel: [34730.861636] Call Trace:
Apr 29 08:33:05 zfp kernel: [34730.861651] [<ffffffffc01227f2>] drm_dp_update_payload_part2+0xc2/0x130 [drm_kms_helper]
Apr 29 08:33:05 zfp kernel: [34730.861700] [<ffffffffc0278cf7>] intel_mst_enable_dp+0xe7/0x110 [i915]
Apr 29 08:33:05 zfp kernel: [34730.861739] [<ffffffffc025bcd1>] haswell_crtc_enable+0x421/0x870 [i915]
Apr 29 08:33:05 zfp kernel: [34730.861779] [<ffffffffc02648d2>] ? intel_frontbuffer_flush+0x42/0x80 [i915]
Apr 29 08:33:05 zfp kernel: [34730.861819] [<ffffffffc0258b64>] intel_atomic_commit+0x454/0x6f0 [i915]
Apr 29 08:33:05 zfp kernel: [34730.861857] [<ffffffffc0064c47>] drm_atomic_commit+0x37/0x60 [drm]
Apr 29 08:33:05 zfp kernel: [34730.861884] [<ffffffffc0126a06>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
Apr 29 08:33:05 zfp kernel: [34730.861922] [<ffffffffc0053e02>] drm_mode_set_config_internal+0x62/0x100 [drm]
Apr 29 08:33:05 zfp kernel: [34730.861958] [<ffffffffc0058322>] drm_mode_setcrtc+0x3d2/0x4f0 [drm]
Apr 29 08:33:05 zfp kernel: [34730.861988] [<ffffffffc0049712>] drm_ioctl+0x152/0x540 [drm]
Apr 29 08:33:05 zfp kernel: [34730.862017] [<ffffffffc0057f50>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Apr 29 08:33:05 zfp kernel: [34730.862044] [<ffffffff812200ff>] do_vfs_ioctl+0x29f/0x490
Apr 29 08:33:05 zfp kernel: [34730.862066] [<ffffffff8108e081>] ? __set_task_blocked+0x41/0xa0
Apr 29 08:33:05 zfp kernel: [34730.862087] [<ffffffff81090a16>] ? __set_current_blocked+0x36/0x60
Apr 29 08:33:05 zfp kernel: [34730.862110] [<ffffffff81220369>] SyS_ioctl+0x79/0x90
Apr 29 08:33:05 zfp kernel: [34730.862130] [<ffffffff81090cce>] ? SyS_rt_sigprocmask+0x8e/0xc0
Apr 29 08:33:05 zfp kernel: [34730.862154] [<ffffffff818244f2>] entry_SYSCALL_64_fastpath+0x16/0x71
Apr 29 08:33:05 zfp kernel: [34730.862178] Code: e0 eb d1 49 8d 8e b8 02 00 00 49 8b 9f 30 04 00 00 48 89 cf 48 89 4d b8 e8 93 01 70 c1 49 83 be e8 02 00 00 00 48 8b 4d b8 74 6f <4c> 8b 63 28 4d 85 e4 74 66 49 3b 5c 24 20 74 46 49 8b 9c 24 30
Apr 29 08:33:05 zfp kernel: [34730.862314] RIP [<ffffffffc01221cb>] drm_dp_payload_send_msg+0x15b/0x210 [drm_kms_helper]
Apr 29 08:33:05 zfp kernel: [34730.862349] RSP <ffff880428667ad8>
Apr 29 08:33:05 zfp kernel: [34730.873457] ---[ end trace fe5e1f4d8234b524 ]---

And yesterday:

Apr 28 09:49:13 zfp kernel: [10746.972447] general protection fault: 0000 [#1] SMP
Apr 28 09:49:13 zfp kernel: [10746.972479] Modules linked in: ctr ccm xt_nat xt_tcpudp pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) rfcomm veth ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype xt_conntrack nf_nat nf_conntrack br_netfilter bridge stp llc overlay xt_multiport iptable_filter ip_tables x_tables bnep arc4 intel_rapl uvcvideo x86_pkg_temp_thermal intel_powerclamp coretemp videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_usb_audio videobuf2_core kvm_intel v4l2_common videodev snd_usbmidi_lib kvm btusb media btrtl btbcm irqbypass btintel bluetooth input_leds joydev serio_raw iwlmvm snd_hda_codec_hdmi mac80211 snd_seq_midi snd_seq_midi_event snd_rawmidi snd_hda_codec_realtek snd_hda_codec_generic thinkpad_acpi snd_seq iwlwifi snd_hda_intel nvram snd_hda_codec cfg80211 snd_hda_core snd_hwdep rtsx_pci_ms lpc_ich snd_pcm memstick mei_me snd_seq_device mei snd_timer snd soundcore shpchp ie31200_edac edac_core mac_hid sch_fq_codel nfsd auth_rpcgss nfs_acl lockd parport_pc grace sunrpc ppdev lp parport autofs4 drbg ansi_cprng algif_skcipher af_alg dm_crypt hid_thingm hid_generic hid_logitech_hidpp hid_logitech_dj usbhid hid rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul nouveau aesni_intel i915 aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd psmouse mxm_wmi ttm i2c_algo_bit drm_kms_helper syscopyarea ahci sysfillrect sysimgblt libahci fb_sys_fops e1000e drm rtsx_pci ptp pps_core wmi fjes video
Apr 28 09:49:13 zfp kernel: [10746.973274] CPU: 1 PID: 1525 Comm: Xorg Tainted: G OE 4.4.0-21-generic #37-Ubuntu
Apr 28 09:49:13 zfp kernel: [10746.973306] Hardware name: LENOVO 20AN006LUS/20AN006LUS, BIOS GLET77WW (2.31 ) 01/27/2015
Apr 28 09:49:13 zfp kernel: [10746.973337] task: ffff880427583700 ti: ffff880422a98000 task.ti: ffff880422a98000
Apr 28 09:49:13 zfp kernel: [10746.973364] RIP: 0010:[<ffffffffc01131cb>] [<ffffffffc01131cb>] drm_dp_payload_send_msg+0x15b/0x210 [drm_kms_helper]
Apr 28 09:49:13 zfp kernel: [10746.973411] RSP: 0018:ffff880422a9bad8 EFLAGS: 00010286
Apr 28 09:49:13 zfp kernel: [10746.973431] RAX: ffff880427583700 RBX: 61642a0a2222203a RCX: ffff880425aaa908
Apr 28 09:49:13 zfp kernel: [10746.973457] RDX: 0000000080000000 RSI: 61642a0a2222203a RDI: ffff880425aaa908
Apr 28 09:49:13 zfp kernel: [10746.973483] RBP: ffff880422a9bb28 R08: 000000000001a040 R09: ffffffffc011316b
Apr 28 09:49:13 zfp kernel: [10746.973509] R10: ffffea000cefd600 R11: 0000000000000000 R12: ffff8800356e0d10
Apr 28 09:49:13 zfp kernel: [10746.973535] R13: ffff880425aaa650 R14: ffff880425aaa650 R15: ffff8804252ef800
Apr 28 09:49:13 zfp kernel: [10746.973562] FS: 00007f3b44ea0a00(0000) GS:ffff88043e240000(0000) knlGS:0000000000000000
Apr 28 09:49:13 zfp kernel: [10746.973591] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Apr 28 09:49:13 zfp kernel: [10746.973612] CR2: 00007f1aef9db624 CR3: 0000000425d9e000 CR4: 00000000001406e0
Apr 28 09:49:13 zfp kernel: [10746.973638] Stack:
Apr 28 09:49:13 zfp kernel: [10746.973646] 6172542e616c736e ffff880425aaa908 ffff880422a9bb00 0000000000000001
Apr 28 09:49:13 zfp kernel: [10746.973677] 000000008a528246 0000000000000001 ffff8800356e0d10 ffff880425aaa650
Apr 28 09:49:13 zfp kernel: [10746.973708] 0000000000000001 ffff880425aaa9a0 ffff880422a9bb68 ffffffffc01137f2
Apr 28 09:49:13 zfp kernel: [10746.973740] Call Trace:
Apr 28 09:49:13 zfp kernel: [10746.973754] [<ffffffffc01137f2>] drm_dp_update_payload_part2+0xc2/0x130 [drm_kms_helper]
Apr 28 09:49:13 zfp kernel: [10746.973809] [<ffffffffc02accf7>] intel_mst_enable_dp+0xe7/0x110 [i915]
Apr 28 09:49:13 zfp kernel: [10746.973849] [<ffffffffc028fcd1>] haswell_crtc_enable+0x421/0x870 [i915]
Apr 28 09:49:13 zfp kernel: [10746.973889] [<ffffffffc02988d2>] ? intel_frontbuffer_flush+0x42/0x80 [i915]
Apr 28 09:49:13 zfp kernel: [10746.973929] [<ffffffffc028cb64>] intel_atomic_commit+0x454/0x6f0 [i915]
Apr 28 09:49:13 zfp kernel: [10746.973965] [<ffffffffc0072c47>] drm_atomic_commit+0x37/0x60 [drm]
Apr 28 09:49:13 zfp kernel: [10746.973993] [<ffffffffc0117a06>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
Apr 28 09:49:13 zfp kernel: [10746.974031] [<ffffffffc0061e02>] drm_mode_set_config_internal+0x62/0x100 [drm]
Apr 28 09:49:13 zfp kernel: [10746.974066] [<ffffffffc0066322>] drm_mode_setcrtc+0x3d2/0x4f0 [drm]
Apr 28 09:49:13 zfp kernel: [10746.974096] [<ffffffffc0057712>] drm_ioctl+0x152/0x540 [drm]
Apr 28 09:49:13 zfp kernel: [10746.974125] [<ffffffffc0065f50>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Apr 28 09:49:13 zfp kernel: [10746.974152] [<ffffffff812200ff>] do_vfs_ioctl+0x29f/0x490
Apr 28 09:49:13 zfp kernel: [10746.974174] [<ffffffff8108e081>] ? __set_task_blocked+0x41/0xa0
Apr 28 09:49:13 zfp kernel: [10746.974197] [<ffffffff81090a16>] ? __set_current_blocked+0x36/0x60
Apr 28 09:49:13 zfp kernel: [10746.974220] [<ffffffff81220369>] SyS_ioctl+0x79/0x90
Apr 28 09:49:13 zfp kernel: [10746.974240] [<ffffffff81090cce>] ? SyS_rt_sigprocmask+0x8e/0xc0
Apr 28 09:49:13 zfp kernel: [10746.974264] [<ffffffff818244f2>] entry_SYSCALL_64_fastpath+0x16/0x71
Apr 28 09:49:13 zfp kernel: [10746.974287] Code: e0 eb d1 49 8d 8e b8 02 00 00 49 8b 9f 30 04 00 00 48 89 cf 48 89 4d b8 e8 93 f1 70 c1 49 83 be e8 02 00 00 00 48 8b 4d b8 74 6f <4c> 8b 63 28 4d 85 e4 74 66 49 3b 5c 24 20 74 46 49 8b 9c 24 30
Apr 28 09:49:13 zfp kernel: [10746.974423] RIP [<ffffffffc01131cb>] drm_dp_payload_send_msg+0x15b/0x210 [drm_kms_helper]
Apr 28 09:49:13 zfp kernel: [10746.974458] RSP <ffff880422a9bad8>
Apr 28 09:49:13 zfp kernel: [10746.983852] ---[ end trace c06b1063bbf77920 ]---

The above happens when I run my "dock" script:

#!/bin/dash
xrandr --output DP2-1 --left-of eDP1 --off \
       --output DP2-2 --right-of eDP1 --off
xrandr --output DP2-1 --right-of eDP1 --auto
xrandr --output DP2-2 --left-of eDP1 --auto

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-21-generic 4.4.0-21.37
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
Date: Fri Apr 29 08:42:30 2016
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=729dd129-ad72-4d34-87d2-b698d6f581ae
InstallationDate: Installed on 2015-06-16 (317 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: LENOVO 20AN006LUS
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-21-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-21-generic N/A
 linux-backports-modules-4.4.0-21-generic N/A
 linux-firmware 1.157
SourcePackage: linux
UpgradeStatus: Upgraded to xenial on 2016-04-24 (4 days ago)
dmi.bios.date: 01/27/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: GLET77WW (2.31 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20AN006LUS
dmi.board.vendor: LENOVO
dmi.board.version: 0B98401 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGLET77WW(2.31):bd01/27/2015:svnLENOVO:pn20AN006LUS:pvrThinkPadT440p:rvnLENOVO:rn20AN006LUS:rvr0B98401WIN:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20AN006LUS
dmi.product.version: ThinkPad T440p
dmi.sys.vendor: LENOVO

frew (frioux) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.6 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-rc6-wily/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
frew (frioux) wrote :

Kernel installed. This happens frequently enough (almost daily) that I'll just wait a week and if it hasn't happened by next Thu I'll mark it as fixed upstream.

frew (frioux) wrote :
Download full text (5.8 KiB)

Look it happened again with the upstream kernel!

May 5 13:37:44 zfp kernel: [ 61.795795] general protection fault: 0000 [#1] SMP
May 5 13:37:44 zfp kernel: [ 61.795822] Modules linked in: snd_hda_codec_hdmi(+) joydev input_leds serio_raw snd_hda_codec_realtek iwlwifi snd_hda_codec_generic snd_hda_intel thinkpad_acpi snd_hda_codec rtsx_pci_ms cfg80211 snd_hda_core memstick nvram snd_hwdep lpc_ich mei_me snd_seq_midi mei snd_seq_midi_event snd_pcm snd_rawmidi snd_seq snd_seq_device ie31200_edac shpchp snd_timer edac_core snd soundcore mac_hid sch_fq_codel nfsd auth_rpcgss nfs_acl lockd parport_pc grace ppdev sunrpc lp parport autofs4 algif_skcipher af_alg dm_crypt hid_thingm hid_generic hid_logitech_hidpp hid_logitech_dj usbhid hid rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw nouveau i915 gf128mul glue_helper ablk_helper cryptd mxm_wmi ahci ttm libahci psmouse i2c_algo_bit drm_kms_helper e1000e syscopyarea rtsx_pci sysfillrect sysimgblt fb_sys_fops ptp pps_core drm wmi fjes video
May 5 13:37:44 zfp kernel: [ 61.796218] CPU: 3 PID: 588 Comm: modprobe Not tainted 4.6.0-040600rc6-generic #201605012031
May 5 13:37:44 zfp kernel: [ 61.796244] Hardware name: LENOVO 20AN006LUS/20AN006LUS, BIOS GLET77WW (2.31 ) 01/27/2015
May 5 13:37:44 zfp kernel: [ 61.796273] task: ffff8804266d2ac0 ti: ffff8800a8810000 task.ti: ffff8800a8810000
May 5 13:37:44 zfp kernel: [ 61.796299] RIP: 0010:[<ffffffffc0266cb8>] [<ffffffffc0266cb8>] i915_audio_component_get_eld+0x88/0x130 [i915]
May 5 13:37:44 zfp kernel: [ 61.796362] RSP: 0018:ffff8800a88139f8 EFLAGS: 00010282
May 5 13:37:44 zfp kernel: [ 61.796383] RAX: f852f845f857f851 RBX: 0000000000000100 RCX: ffff880425aa3d00
May 5 13:37:44 zfp kernel: [ 61.796410] RDX: f852f845f857f851 RSI: 0000000000000001 RDI: ffff880424fd9a58
May 5 13:37:44 zfp kernel: [ 61.796439] RBP: ffff8800a8813a28 R08: 0000000000000100 R09: ffffffffc0266c30
May 5 13:37:44 zfp kernel: [ 61.796467] R10: ffff8804298e8a10 R11: ffff88042ab08780 R12: ffff8804298e8a10
May 5 13:37:44 zfp kernel: [ 61.796493] R13: ffff880424fd9a58 R14: 0000000000000000 R15: ffff880424fd0000
May 5 13:37:44 zfp kernel: [ 61.796517] FS: 00007f8170bb5700(0000) GS:ffff88043e2c0000(0000) knlGS:0000000000000000
May 5 13:37:44 zfp kernel: [ 61.796547] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 5 13:37:44 zfp kernel: [ 61.796568] CR2: 00007f93bc5f1e98 CR3: 0000000426484000 CR4: 00000000001406e0
May 5 13:37:44 zfp kernel: [ 61.796595] Stack:
May 5 13:37:44 zfp kernel: [ 61.796604] 00000001c06409cb ffff880425a04000 ffff88042aa5a000 ffff8804298e89c8
May 5 13:37:44 zfp kernel: [ 61.796639] ffff8804298e8800 ffff880425a04330 ffff8800a8813a38 ffffffffc07049ac
May 5 13:37:44 zfp kernel: [ 61.796672] ffff8800a8813aa0 ffffffffc07158db 0000000027ec128d ffff88042ab096c0
May 5 13:37:44 zfp kernel: [ 61.796706] Call Trace:
May 5 13:37:44 zfp kernel: [ 61.796724] [<ffffffffc07049ac>] snd_hdac_acomp_get_eld+0x3c/0x60 [snd_hda_core]
May 5 13:37:44 zfp kernel: [ 61.796754] [<ffffffffc07158db>] hdmi_present_sense+0xab/0x3b0 [snd_hda_codec_hdmi]
May 5 13:37:44 zfp kernel...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
frew (frioux) wrote :

Did anyone report this upstream or anything? Would love to follow along.

tags: added: bios-outdated-2.37
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
frew (frioux) wrote :

Ok. I'll update the BIOS on monday; I don't have a CD-R handy to flash the BIOS with. This is a rare enough issue (every couple of weeks I guess?) that I guess I'll update the BIOS and check back here in maybe 60 days if it hasn't happened again.

Thanks for the direction, I hope it resolves it!

frew (frioux) wrote :

DMIDecode output:

GLET83WW (2.37 )
03/31/2016

It is not improved.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

frew, could you please test the latest mainline kernel (4.7-rc2) and advise to the results?

tags: added: latest-bios-2.37
removed: bios-outdated-2.37
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Sure, is there a commit that you think will fix it? (Will try tomorrow
morning.)

--
sent from a rotary phone, pardon my brevity
On Jun 7, 2016 5:05 PM, "Christopher M. Penalver" <
<email address hidden>> wrote:

frew, could you please test the latest mainline kernel (4.7-rc2) and
advise to the results?

** Tags removed: bios-outdated-2.37
** Tags added: latest-bios-2.37

** Changed in: linux (Ubuntu)
       Status: Confirmed => Incomplete

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1576764

Title:
  Kernel bug caused by XRandR / Video Drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1576764/+subscriptions

frew (frioux) wrote :

So I installed 4.7-rc2, but it is a broken build. I will reboot out of it shortly. Details are here: http://www.openwall.com/lists/musl/2016/06/08/4

For some reason, either related to the kernel or the build tools, the vdso in that kernel is broken. If another one gets built I'll happily test it, but as it stands this kernel will not work for me on a day to day basis.

Thanks

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
frew (frioux) wrote :

Ok so Seth Forshee asserted that all of the mainline builds have been fixed, and I have installed 4.7-rc2 again and it is not missing a vdso. Will update here if the crash happens again. If it hasn't happened in 60 days it didn't happen or I died.

frew (frioux) wrote :
Download full text (7.2 KiB)

Ok, confirmed. Just happened after switching to one of the TTYs:

Jun 16 09:03:35 zfp kernel: [205770.823411] nouveau 0000:02:00.0: DRM: resuming kernel object tree...
Jun 16 09:03:35 zfp kernel: [205770.823583] nouveau 0000:02:00.0: priv: HUB0: 10ecc0 ffffffff (1b70822c)
Jun 16 09:03:36 zfp kernel: [205770.931854] nouveau 0000:02:00.0: DRM: resuming client object trees...
Jun 16 09:03:36 zfp kernel: [205770.932031] BUG: unable to handle kernel NULL pointer dereference at 0000000000000250
Jun 16 09:03:36 zfp kernel: [205770.932035] IP: [<ffffffff816adc10>] __ww_mutex_lock+0x20/0xa0
Jun 16 09:03:36 zfp kernel: [205770.932037] PGD 0
Jun 16 09:03:36 zfp kernel: [205770.932038] Oops: 0002 [#1] SMP
Jun 16 09:03:36 zfp kernel: [205770.932064] Modules linked in: iwlmvm iwlwifi uas usb_storage btrfs xor raid6_pq ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs libcrc32c crc32c_generic cpuid tun xt_nat xt_tcpudp ctr ccm ecryptfs veth rfcomm ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype xt_conntrack nf_nat nf_conntrack br_netfilter bridge stp llc fuse overlay xt_multiport iptable_filter ip_tables x_tables bnep arc4 x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass mac80211 serio_raw snd_hda_codec_hdmi sg snd_hda_codec_realtek snd_hda_codec_generic snd_usb_audio snd_usbmidi_lib uvcvideo snd_hda_intel cfg80211 snd_hda_codec lpc_ich snd_hda_core snd_hwdep videobuf2_vmalloc rtsx_pci_ms memstick thinkpad_acpi joydev nvram videobuf2_memops snd_seq_midi videobuf2_v4l2 snd_seq_midi_event input_leds snd_rawmidi videobuf2_core snd_pcm snd_seq videodev snd_seq_device snd_timer media mei_me mei ie31200_edac btusb btrtl btbcm btintel bluetooth snd edac_core shpchp battery soundcore ac mac_hid nfsd sch_fq_codel auth_rpcgss nfs_acl lockd grace sunrpc parport_pc ppdev lp parport autofs4 ext4 crc16 jbd2 mbcache algif_skcipher af_alg dm_crypt dm_mod sr_mod cdrom sd_mod hid_thingm led_class hid_generic hid_logitech_hidpp hid_logitech_dj usbhid hid rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul ahci glue_helper libahci ablk_helper cryptd libata nouveau i915 scsi_mod psmouse ehci_pci mxm_wmi ehci_hcd ttm i2c_algo_bit xhci_pci xhci_hcd rtsx_pci drm_kms_helper syscopyarea sysfillrect usbcore sysimgblt fb_sys_fops e1000e drm usb_common ptp intel_gtt pps_core agpgart thermal wmi fjes button video jitterentropy_rng drbg ansi_cprng [last unloaded: iwlwifi]
Jun 16 09:03:36 zfp kernel: [205770.932098] CPU: 3 PID: 1195 Comm: Xorg Tainted: G W 4.7.0-040700rc2-generic #201606100641
Jun 16 09:03:36 zfp kernel: [205770.932099] Hardware name: LENOVO 20AN006LUS/20AN006LUS, BIOS GLET83WW (2.37 ) 03/31/2016
Jun 16 09:03:36 zfp kernel: [205770.932100] task: ffff8800351ac380 ti: ffff880426180000 task.ti: ffff880426180000
Jun 16 09:03:36 zfp kernel: [205770.932103] RIP: 0010:[<ffffffff816adc10>] [<ffffffff816adc10>] __ww_mutex_lock+0x20/0xa0
Jun 16 09:03:36 zfp kernel: [205770.932103] RSP: 0018:ffff880426183908 EFLAGS: 00010246
Jun 16 09:03:36 zfp kernel: [205770.932104] RAX: 00000000ffffffff RBX: 0000000000000250 RCX: 0000...

Read more...

tags: added: kernel-bug-exists-upstream-4.7-rc2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers